Index: trunk/source/geometry/divisions/src/G4ParameterisationPolyhedra.cc
===================================================================
--- trunk/source/geometry/divisions/src/G4ParameterisationPolyhedra.cc	(revision 1227)
+++ trunk/source/geometry/divisions/src/G4ParameterisationPolyhedra.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ParameterisationPolyhedra.cc,v 1.16 2007/05/18 07:27:23 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4ParameterisationPolyhedra.cc,v 1.19 2009/05/20 08:35:52 ivana Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4ParameterisationPolyhedra Implementation file
@@ -288,10 +288,8 @@
   if( divType == DivWIDTH )
   {
-    fnDiv = CalculateNDiv( deltaPhi, width, offset );
-  }
-  else if( divType == DivNDIV )
-  {
-    fwidth = CalculateWidth( deltaPhi, nDiv, offset );
-  }
+    fnDiv = msol->GetNumSide();
+  }
+
+  fwidth = CalculateWidth( deltaPhi, fnDiv, 0.0 );
 
 #ifdef G4DIVDEBUG
@@ -348,5 +346,5 @@
   G4PolyhedraHistorical* origparamMother = msol->GetOriginalParameters();
 
-  if( origparamMother->numSide != fnDiv )
+  if( origparamMother->numSide != fnDiv &&  fDivisionType != DivWIDTH)
   { 
     G4cerr << "ERROR - "
@@ -433,23 +431,22 @@
                              G4double width, G4double offset,
                              G4VSolid* msolid, DivisionType divType )
-  :  G4VParameterisationPolyhedra( axis, nDiv, width, offset, msolid, divType )
+  :  G4VParameterisationPolyhedra( axis, nDiv, width, offset, msolid, divType ),
+     fNSegment(0),
+     fOrigParamMother(((G4Polyhedra*)fmotherSolid)->GetOriginalParameters())
 { 
   CheckParametersValidity();
   SetType( "DivisionPolyhedraZ" );
 
-  G4Polyhedra* msol = (G4Polyhedra*)(fmotherSolid);
-  G4PolyhedraHistorical* origparamMother = msol->GetOriginalParameters();
-  
   if( divType == DivWIDTH )
     {
     fnDiv =
-      CalculateNDiv( origparamMother->Z_values[origparamMother->Num_z_planes-1]
-                     - origparamMother->Z_values[0] , width, offset );
+      CalculateNDiv( fOrigParamMother->Z_values[fOrigParamMother->Num_z_planes-1]
+                     - fOrigParamMother->Z_values[0] , width, offset );
   }
   else if( divType == DivNDIV )
     {
     fwidth =
-      CalculateNDiv( origparamMother->Z_values[origparamMother->Num_z_planes-1]
-                     - origparamMother->Z_values[0] , nDiv, offset );
+      CalculateNDiv( fOrigParamMother->Z_values[fOrigParamMother->Num_z_planes-1]
+                     - fOrigParamMother->Z_values[0] , nDiv, offset );
   }
   
@@ -471,10 +468,45 @@
 
 //------------------------------------------------------------------------
+G4double G4ParameterisationPolyhedraZ::GetR(G4double z, 
+                                           G4double z1, G4double r1,  
+                                           G4double z2, G4double r2) const
+{
+  // Linear parameterisation: 
+  // r = az + b
+  // a = (r1 - r2)/(z1-z2)
+  // b = r1 - a*z1
+
+  return (r1-r2)/(z1-z2)*z + ( r1 - (r1-r2)/(z1-z2)*z1 ) ;
+}  
+                                           
+//------------------------------------------------------------------------
+G4double G4ParameterisationPolyhedraZ::GetRmin(G4double z, G4int nseg) const
+{
+// Get Rmin in the given z position for the given polyhedra segment 
+
+  return GetR(z, 
+              fOrigParamMother->Z_values[nseg], 
+              fOrigParamMother->Rmin[nseg],
+              fOrigParamMother->Z_values[nseg+1], 
+              fOrigParamMother->Rmin[nseg+1]);
+}  
+                                           
+//------------------------------------------------------------------------
+G4double G4ParameterisationPolyhedraZ::GetRmax(G4double z, G4int nseg) const
+{
+// Get Rmax in the given z position for the given polyhedra segment 
+
+  return GetR(z, 
+              fOrigParamMother->Z_values[nseg], 
+              fOrigParamMother->Rmax[nseg],
+              fOrigParamMother->Z_values[nseg+1], 
+              fOrigParamMother->Rmax[nseg+1]);
+}  
+                                           
+//------------------------------------------------------------------------
 G4double G4ParameterisationPolyhedraZ::GetMaxParameter() const
 {
-  G4Polyhedra* msol = (G4Polyhedra*)(fmotherSolid);
-  G4PolyhedraHistorical* origparamMother = msol->GetOriginalParameters();
-  return std::abs (origparamMother->Z_values[origparamMother->Num_z_planes-1]
-             -origparamMother->Z_values[0]);
+  return std::abs (fOrigParamMother->Z_values[fOrigParamMother->Num_z_planes-1]
+             -fOrigParamMother->Z_values[0]);
 }
 
@@ -484,45 +516,92 @@
   G4VDivisionParameterisation::CheckParametersValidity();
 
-  G4Polyhedra* msol = (G4Polyhedra*)(fmotherSolid);
-
-  if( fDivisionType == DivNDIVandWIDTH || fDivisionType == DivWIDTH )
-  {
-    G4cerr << "WARNING - "
-           << "G4ParameterisationPolyhedraZ::CheckParametersValidity()"
-           << G4endl
-           << "          Solid " << msol->GetName() << G4endl
-           << "          Division along Z will be done splitting "
-           << "in the defined z_planes." << G4endl
-           << "          WIDTH will not be used !" << G4endl;
-  }
-
-  if( foffset != 0. )
-  {
-    G4cerr << "WARNING - "
-           << "G4ParameterisationPolyhedraZ::CheckParametersValidity()"
-           << G4endl
-           << "          Solid " << msol->GetName() << G4endl
-           << "          Division along Z will be done splitting "
-           << "in the defined z_planes." << G4endl
-           << "          OFFSET will not be used !" << G4endl;
-  }
-
-  G4PolyhedraHistorical* origparamMother = msol->GetOriginalParameters();
-
-  if( origparamMother->Num_z_planes-1 != fnDiv )
-  { 
-    G4cerr << "ERROR - "
-           << "G4ParameterisationPolyhedraZ::CheckParametersValidity()"
-           << G4endl
-           << "        Division along Z will be done splitting in the defined"
-           << G4endl
-           << "        z_planes, i.e, the number of division would be :"
-           << "        " << origparamMother->Num_z_planes-1
-           << " instead of " << fnDiv << " !"
-           << G4endl; 
-    G4Exception("G4ParameterisationPolyhedraZ::CheckParametersValidity()",
-                "IllegalConstruct", FatalException,
-                "Not supported configuration.");
-  }
+  // Division will be following the mother polyhedra segments
+  if( fDivisionType == DivNDIV ) {
+    if( fOrigParamMother->Num_z_planes-1 != fnDiv ) { 
+      G4cerr << "ERROR - "
+             << "G4ParameterisationPolyhedraZ::CheckParametersValidity()"
+             << G4endl
+             << "        Division along Z will be done splitting in the defined"
+             << G4endl
+             << "        z_planes, i.e, the number of division would be :"
+             << "        " << fOrigParamMother->Num_z_planes-1
+             << " instead of " << fnDiv << " !"
+             << G4endl; 
+      G4Exception("G4ParameterisationPolyhedraZ::CheckParametersValidity()",
+                  "IllegalConstruct", FatalException,
+                  "Not supported configuration.");
+    }
+  }  
+
+  // Division will be done within one polyhedra segment
+  // with applying given width and offset
+  if( fDivisionType == DivNDIVandWIDTH || fDivisionType == DivWIDTH ) {
+    // Check if divided region does not span over more
+    // than one z segment
+
+    G4int isegstart = -1;  // number of the segment containing start position
+    G4int isegend = -1;    // number of the segment containing end position
+
+    if ( ! fReflectedSolid ) {
+      // The start/end position of the divided region
+      G4double zstart 
+        = fOrigParamMother->Z_values[0] + foffset;
+      G4double zend 
+        = fOrigParamMother->Z_values[0] + foffset + fnDiv* fwidth;
+   
+      G4int counter = 0;
+      while ( isegend < 0 && counter < fOrigParamMother->Num_z_planes-1 ) {
+        // first segment
+        if ( zstart >= fOrigParamMother->Z_values[counter]  &&
+             zstart  < fOrigParamMother->Z_values[counter+1] ) {
+           isegstart = counter;
+        }     
+        // last segment
+        if ( zend  > fOrigParamMother->Z_values[counter] &&
+             zend <= fOrigParamMother->Z_values[counter+1] ) {
+           isegend = counter;
+        }   
+        ++counter;   
+      }
+    }
+    else  {
+      // The start/end position of the divided region
+      G4double zstart 
+        = fOrigParamMother->Z_values[0] - foffset;
+      G4double zend 
+        = fOrigParamMother->Z_values[0] - ( foffset + fnDiv* fwidth);
+   
+      G4int counter = 0;
+      while ( isegend < 0 && counter < fOrigParamMother->Num_z_planes-1 ) {
+        // first segment
+        if ( zstart <= fOrigParamMother->Z_values[counter]  &&
+             zstart  > fOrigParamMother->Z_values[counter+1] ) {
+           isegstart = counter;
+        }     
+        // last segment
+        if ( zend  < fOrigParamMother->Z_values[counter] &&
+             zend >= fOrigParamMother->Z_values[counter+1] ) {
+           isegend = counter;
+        }   
+        ++counter;   
+      }
+    }
+  
+    if ( isegstart != isegend ) {
+      G4cerr << "WARNING - "
+             << "G4ParameterisationPolyhedraZ::CheckParametersValidity()"
+             << G4endl
+             << "          Division with user defined width." << G4endl
+             << "          Solid " << fmotherSolid->GetName() << G4endl
+             << "          Divided region is not between two z planes." 
+             << G4endl;
+ 
+      G4Exception("G4ParameterisationPolyhedraZ::CheckParametersValidity()",
+                  "IllegalConstruct", FatalException,
+                  "Not supported configuration.");
+    }
+  
+    fNSegment = isegstart;
+  }  
 }
 
@@ -532,12 +611,23 @@
 ComputeTransformation( const G4int copyNo, G4VPhysicalVolume* physVol) const
 {
-  G4Polyhedra* msol = (G4Polyhedra*)(GetMotherSolid());
-
-  //----- set translation: along Z axis
-  G4PolyhedraHistorical* origparamMother = msol->GetOriginalParameters();
-  G4double posi = (origparamMother->Z_values[copyNo]
-                   + origparamMother->Z_values[copyNo+1])/2;
-  G4ThreeVector origin(0.,0.,posi); 
-  physVol->SetTranslation( origin );
+  if ( fDivisionType == DivNDIV ) {
+    // The position of the centre of copyNo-th mother polycone segment
+    G4double posi = ( fOrigParamMother->Z_values[copyNo]
+                    + fOrigParamMother->Z_values[copyNo+1])/2;
+    physVol->SetTranslation( G4ThreeVector(0, 0, posi) );
+  }
+  
+  if ( fDivisionType == DivNDIVandWIDTH || fDivisionType == DivWIDTH ) {
+    // The position of the centre of copyNo-th division
+
+    G4double posi = fOrigParamMother->Z_values[0];
+    
+    if ( ! fReflectedSolid )
+      posi += foffset + (2*copyNo + 1) * fwidth/2.;
+    else
+      posi -= foffset + (2*copyNo + 1) * fwidth/2.;
+    
+    physVol->SetTranslation( G4ThreeVector(0, 0, posi) );
+  }   
 
   //----- calculate rotation matrix: unit
@@ -571,21 +661,70 @@
                    const G4VPhysicalVolume* ) const
 {
-  // only for mother number of planes = 2!!
-  //
-  G4Polyhedra* msol = (G4Polyhedra*)(fmotherSolid);
-
-  G4PolyhedraHistorical* origparamMother = msol->GetOriginalParameters();
-  G4PolyhedraHistorical origparam( *origparamMother );
-
-  G4double posi = (origparamMother->Z_values[copyNo]
-                   + origparamMother->Z_values[copyNo+1])/2;
-
-  origparam.Num_z_planes = 2;
-  origparam.Z_values[0] = origparamMother->Z_values[copyNo] - posi;
-  origparam.Z_values[1] = origparamMother->Z_values[copyNo+1] - posi;
-  origparam.Rmin[0] = origparamMother->Rmin[copyNo];
-  origparam.Rmin[1] = origparamMother->Rmin[copyNo+1];
-  origparam.Rmax[0] = origparamMother->Rmax[copyNo];
-  origparam.Rmax[1] = origparamMother->Rmax[copyNo+1];
+  // Define division solid
+  G4PolyhedraHistorical origparam;
+  G4int nz = 2; 
+  origparam.Num_z_planes = nz;
+  origparam.numSide = fOrigParamMother->numSide;
+  origparam.Start_angle = fOrigParamMother->Start_angle;
+  origparam.Opening_angle = fOrigParamMother->Opening_angle;
+
+  // Define division solid z sections
+  origparam.Z_values = new G4double[nz];
+  origparam.Rmin = new G4double[nz];
+  origparam.Rmax = new G4double[nz];
+  origparam.Z_values[0] = - fwidth/2.;
+  origparam.Z_values[1] = fwidth/2.;
+
+  if ( fDivisionType == DivNDIV ) {
+    // The position of the centre of copyNo-th mother polycone segment
+    G4double posi = ( fOrigParamMother->Z_values[copyNo]
+                    + fOrigParamMother->Z_values[copyNo+1])/2;
+
+    origparam.Z_values[0] = fOrigParamMother->Z_values[copyNo] - posi;
+    origparam.Z_values[1] = fOrigParamMother->Z_values[copyNo+1] - posi;
+    origparam.Rmin[0] = fOrigParamMother->Rmin[copyNo];
+    origparam.Rmin[1] = fOrigParamMother->Rmin[copyNo+1];
+    origparam.Rmax[0] = fOrigParamMother->Rmax[copyNo];
+    origparam.Rmax[1] = fOrigParamMother->Rmax[copyNo+1];
+  }  
+
+  if ( fDivisionType == DivNDIVandWIDTH || fDivisionType == DivWIDTH ) {
+    if ( ! fReflectedSolid ) {
+      origparam.Z_values[0] = - fwidth/2.;
+      origparam.Z_values[1] = fwidth/2.;
+
+      // The position of the centre of copyNo-th division
+      G4double posi 
+        = fOrigParamMother->Z_values[0] + foffset + (2*copyNo + 1) * fwidth/2.;
+    
+      // The first and last z sides z values
+      G4double zstart = posi - fwidth/2.;
+      G4double zend = posi + fwidth/2.;
+      origparam.Rmin[0] = GetRmin(zstart, fNSegment); 
+      origparam.Rmax[0] = GetRmax(zstart, fNSegment);  
+      origparam.Rmin[1] = GetRmin(zend, fNSegment); 
+      origparam.Rmax[1] = GetRmax(zend, fNSegment); 
+    }
+    else {   
+      origparam.Z_values[0] = fwidth/2.;
+      origparam.Z_values[1] = - fwidth/2.;
+
+      // The position of the centre of copyNo-th division
+      G4double posi 
+        = fOrigParamMother->Z_values[0] - ( foffset + (2*copyNo + 1) * fwidth/2.);
+    
+      // The first and last z sides z values
+      G4double zstart = posi + fwidth/2.;
+      G4double zend = posi - fwidth/2.;
+      origparam.Rmin[0] = GetRmin(zstart, fNSegment); 
+      origparam.Rmax[0] = GetRmax(zstart, fNSegment);  
+      origparam.Rmin[1] = GetRmin(zend, fNSegment); 
+      origparam.Rmax[1] = GetRmax(zend, fNSegment); 
+    } 
+
+    // It can happen due to rounding errors
+    if ( origparam.Rmin[0]    < 0.0 ) origparam.Rmin[0] = 0.0;
+    if ( origparam.Rmin[nz-1] < 0.0 ) origparam.Rmin[1] = 0.0;
+  }  
 
   phedra.SetOriginalParameters(&origparam);  // copy values & transfer pointers
Index: trunk/source/geometry/divisions/src/G4ParameterisationTrd.cc
===================================================================
--- trunk/source/geometry/divisions/src/G4ParameterisationTrd.cc	(revision 1227)
+++ trunk/source/geometry/divisions/src/G4ParameterisationTrd.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationTrd.cc,v 1.16 2008/12/18 12:57:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4ParameterisationTrd Implementation file
Index: trunk/source/geometry/divisions/src/G4ParameterisationTubs.cc
===================================================================
--- trunk/source/geometry/divisions/src/G4ParameterisationTubs.cc	(revision 1227)
+++ trunk/source/geometry/divisions/src/G4ParameterisationTubs.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationTubs.cc,v 1.8 2006/06/29 18:18:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4ParameterisationTubs Implementation file
Index: trunk/source/geometry/divisions/src/G4VDivisionParameterisation.cc
===================================================================
--- trunk/source/geometry/divisions/src/G4VDivisionParameterisation.cc	(revision 1227)
+++ trunk/source/geometry/divisions/src/G4VDivisionParameterisation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VDivisionParameterisation.cc,v 1.14 2008/12/03 16:41:15 arce Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4VDivisionParameterisation Implementation file
Index: trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4CashKarpRKF45.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CashKarpRKF45.hh,v 1.11 2008/01/11 15:23:54 japost Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ChordFinder.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ChordFinder.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ChordFinder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChordFinder.hh,v 1.21 2008/10/29 14:17:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4ChordFinder.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ChordFinder.icc	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ChordFinder.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ChordFinder.icc,v 1.14 2008/10/29 14:34:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4ChordFinder inline implementations
Index: trunk/source/geometry/magneticfield/include/G4ChordFinderSaf.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ChordFinderSaf.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ChordFinderSaf.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ChordFinderSaf.hh,v 1.4 2008/09/12 16:12:18 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4ClassicalRK4.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ClassicalRK4.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ClassicalRK4.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ClassicalRK4.hh,v 1.10 2006/06/29 18:21:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ConstRK4.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ConstRK4.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ConstRK4.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ConstRK4.hh,v 1.2 2008/10/29 14:17:42 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/magneticfield/include/G4DELPHIMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4DELPHIMagField.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4DELPHIMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DELPHIMagField.hh,v 1.4 2006/06/29 18:21:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ElectricField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ElectricField.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ElectricField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectricField.hh,v 1.2 2006/06/29 18:21:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ElectroMagneticField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ElectroMagneticField.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ElectroMagneticField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectroMagneticField.hh,v 1.11 2006/06/29 18:22:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4EqEMFieldWithSpin.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EqEMFieldWithSpin.hh,v 1.3 2008/11/14 13:37:09 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EqMagElectricField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EqMagElectricField.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4EqMagElectricField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EqMagElectricField.hh,v 1.9 2006/06/29 18:22:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EquationOfMotion.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EquationOfMotion.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4EquationOfMotion.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EquationOfMotion.hh,v 1.10 2006/06/29 18:22:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4EquationOfMotion.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4EquationOfMotion.icc	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4EquationOfMotion.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EquationOfMotion.icc,v 1.9 2006/06/29 18:22:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ErrorMag_UsualEqRhs.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ErrorMag_UsualEqRhs.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ErrorMag_UsualEqRhs.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorMag_UsualEqRhs.hh,v 1.1 2007/05/16 12:54:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ExactHelixStepper.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ExactHelixStepper.hh,v 1.5 2007/05/18 12:50:31 tnikitin Exp $ 
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ExplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ExplicitEuler.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ExplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExplicitEuler.hh,v 1.9 2006/06/29 18:22:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4Field.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4Field.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4Field.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Field.hh,v 1.10 2006/06/29 18:22:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4FieldManager.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldManager.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4FieldManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldManager.hh,v 1.16 2006/06/29 18:22:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //  
Index: trunk/source/geometry/magneticfield/include/G4FieldManager.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldManager.icc	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4FieldManager.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldManager.icc,v 1.12 2006/06/29 18:22:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4FieldManagerStore.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldManagerStore.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4FieldManagerStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldManagerStore.hh,v 1.3 2008/01/17 09:39:08 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4FieldManagerStore
Index: trunk/source/geometry/magneticfield/include/G4FieldTrack.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldTrack.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4FieldTrack.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldTrack.hh,v 1.21 2006/11/13 18:24:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4FieldTrack.icc
===================================================================
--- trunk/source/geometry/magneticfield/include/G4FieldTrack.icc	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4FieldTrack.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FieldTrack.icc,v 1.21 2006/11/13 18:24:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/geometry/magneticfield/include/G4HarmonicPolMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HarmonicPolMagField.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4HarmonicPolMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HarmonicPolMagField.hh,v 1.4 2006/06/29 18:22:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class G4HarmonicPolMagField
Index: trunk/source/geometry/magneticfield/include/G4HelixExplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixExplicitEuler.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4HelixExplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixExplicitEuler.hh,v 1.9 2007/08/21 08:52:00 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4HelixHeum.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixHeum.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4HelixHeum.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixHeum.hh,v 1.8 2006/06/29 18:22:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4HelixImplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixImplicitEuler.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4HelixImplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixImplicitEuler.hh,v 1.8 2006/06/29 18:22:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4HelixSimpleRunge.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4HelixSimpleRunge.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4HelixSimpleRunge.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HelixSimpleRunge.hh,v 1.7 2006/06/29 18:22:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4ImplicitEuler.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4ImplicitEuler.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4ImplicitEuler.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ImplicitEuler.hh,v 1.8 2006/06/29 18:22:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4LineCurrentMagField.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4LineCurrentMagField.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4LineCurrentMagField.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LineCurrentMagField.hh,v 1.4 2006/06/29 18:22:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4LineSection.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4LineSection.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4LineSection.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LineSection.hh,v 1.9 2006/06/29 18:22:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh
===================================================================
--- trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh	(revision 1227)
+++ trunk/source/geometry/magneticfield/include/G4MagErrorStepper.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MagErrorStepper.hh,v 1.11 2006/06/29 18:22:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
